# MSP::CCS::MapProjection3Parameters Class Reference

`#include <MapProjection3Parameters.h>`

Inheritance diagram for MSP::CCS::MapProjection3Parameters:

List of all members.

## Public Member Functions

| MapProjection3Parameters ()
| MapProjection3Parameters (CoordinateType::Enum _coordinateType)
| MapProjection3Parameters (CoordinateType::Enum _coordinateType, double __centralMeridian, double __falseEasting, double __falseNorthing)
| MapProjection3Parameters (const MapProjection3Parameters &p)
| ~MapProjection3Parameters ()
MapProjection3Parameters & | operator= (const MapProjection3Parameters &p)
void | setCentralMeridian (double __centralMeridian)
void | setFalseEasting (double __falseEasting)
void | setFalseNorthing (double __falseNorthing)
double | centralMeridian () const
double | falseEasting () const
double | falseNorthing () const

## Detailed Description

Definition at line 15 of file MapProjection3Parameters.h.

## Constructor & Destructor Documentation

MapProjection3Parameters::MapProjection3Parameters | ( |  | ) |

Definition at line 9 of file MapProjection3Parameters.cpp.

MapProjection3Parameters::MapProjection3Parameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 18 of file MapProjection3Parameters.cpp.

MapProjection3Parameters::MapProjection3Parameters | ( | CoordinateType::Enum | _coordinateType,
|  | double | __centralMeridian,
|  | double | __falseEasting,
|  | double | __falseNorthing |
| ) |  |  |

Definition at line 27 of file MapProjection3Parameters.cpp.

MapProjection3Parameters::MapProjection3Parameters | ( | const MapProjection3Parameters & | p | ) |

Definition at line 36 of file MapProjection3Parameters.cpp.

MapProjection3Parameters::~MapProjection3Parameters | ( |  | ) |

Definition at line 46 of file MapProjection3Parameters.cpp.

## Member Function Documentation

double MapProjection3Parameters::centralMeridian | ( |  | ) | const

Definition at line 87 of file MapProjection3Parameters.cpp.

double MapProjection3Parameters::falseEasting | ( |  | ) | const

Definition at line 93 of file MapProjection3Parameters.cpp.

double MapProjection3Parameters::falseNorthing | ( |  | ) | const

Definition at line 99 of file MapProjection3Parameters.cpp.

MapProjection3Parameters & MapProjection3Parameters::operator= | ( | const MapProjection3Parameters & | p | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 54 of file MapProjection3Parameters.cpp.

void MapProjection3Parameters::setCentralMeridian | ( | double | __centralMeridian | ) |

Definition at line 69 of file MapProjection3Parameters.cpp.

void MapProjection3Parameters::setFalseEasting | ( | double | __falseEasting | ) |

Definition at line 75 of file MapProjection3Parameters.cpp.

void MapProjection3Parameters::setFalseNorthing | ( | double | __falseNorthing | ) |

Definition at line 81 of file MapProjection3Parameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/MapProjection3Parameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/MapProjection3Parameters.cpp